Set a new value to the atomic object.

- « Swoole\Atomic::get

- Swoole\Atomic::sub »

- PHP Manual
- Swoole\Atomic
- Set a new value to the atomic object.

# Swoole\Atomic::set

(PECL swoole >= 1.9.0)

Swoole\Atomic::set — Set a new value to the atomic object.

### Description

public Swoole\Atomic::set(int `$value`): int

Set a new value to the atomic object.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`value`

  The value to set to the atomic object.

### Return Values

The current value of the atomic object.